IPSecTunnels

Operations to create and manage IPSec VPN Gateway Tunnels.

This tag groups all operations for ipsectunnels.

Retrieve all IPSecTunnels

get
/ipsecgateways/{gatewayId}/tunnels

This endpoint enables retrieving all IPSecTunnels using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested IPSecTunnels successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of IPSecTunnel resources.

Example: 0ef10f6b-8742-5e74-98ff-3e89354b1082
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of IPSecTunnel resources.

Example: /ipsecgateways/{gatewayId}/tunnels
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/ipsecgateways/{gatewayId}/tunnels

Create IPSecTunnel

post
/ipsecgateways/{gatewayId}/tunnels

Creates a new IPSecTunnel.

The full IPSecTunnel needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
Body
metadataanyOptional

Metadata

Responses
post
/ipsecgateways/{gatewayId}/tunnels

Retrieve IPSecTunnel

get
/ipsecgateways/{gatewayId}/tunnels/{tunnelId}

Returns the IPSecTunnel by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
tunnelIdstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
Responses
chevron-right
200

Getting IPSecTunnel was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the IPSecTunnel.

Example: /ipsecgateways/{gatewayId}/tunnels/c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
get
/ipsecgateways/{gatewayId}/tunnels/{tunnelId}

Ensure IPSecTunnel

put
/ipsecgateways/{gatewayId}/tunnels/{tunnelId}

Ensures that the IPSecTunnel with the provided ID is created or modified. The full IPSecTunnel needs to be provided to ensure (either update or create) the IPSecTunnel. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
tunnelIdstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
Body
idstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
metadataanyOptional

Metadata

Responses
chevron-right
200

IPSecTunnel successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the IPSecTunnel.

Example: /ipsecgateways/{gatewayId}/tunnels/c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
put
/ipsecgateways/{gatewayId}/tunnels/{tunnelId}

Delete IPSecTunnel

delete
/ipsecgateways/{gatewayId}/tunnels/{tunnelId}

Deletes the specified IPSecTunnel.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the IPSecGateway.

Example: 66a114c7-2ddd-5119-9ddf-5a789f5a5a44
tunnelIdstring · uuidRequired

The ID (UUID) of the IPSecTunnel.

Example: c28b2d3e-7b15-53ca-ae88-6ae9378d6efe
Responses
delete
/ipsecgateways/{gatewayId}/tunnels/{tunnelId}

No content

Last updated

Was this helpful?